# Interface OptionRow

Database representation of an option.

Options are key-value pairs that are used to store information such as user preferences (for example the current theme, sync server information), but also information about the state of the application).

interface OptionRow {
isSynced : boolean;
name : string;
utcDateModified ?: string;
value : string;
}

- Defined in becca/entities/rows.ts:47

#####
Index

### Properties

isSynced
name
utcDateModified?
value

##
Properties

### isSynced

isSynced: boolean

`true` if the value should be synced across multiple instances (e.g. locale) or `false` if it should be local-only (e.g. theme).

- Defined in becca/entities/rows.ts:53

### name

name: string

The name of the option.

- Defined in becca/entities/rows.ts:49

### `Optional` utcDateModified

utcDateModified?: string

- Defined in becca/entities/rows.ts:54

### value

value: string

The value of the option.

- Defined in becca/entities/rows.ts:51